Subject: Re: [bug#41953] [PATCH] gnu: darktable: Update to 3.0.2.

From: Marius Bakke <[email-masked]>
Date: Mon, 22 Jun 2020 23:58:10 +0200

Vinicius Monego <[email-masked]> writes:

>> >         (modify-phases %standard-phases
>> > +         (add-before 'configure 'prepare-build-environment
>> > +           (lambda* (#:key inputs #:allow-other-keys)
>> > +             (setenv "CC" "clang") (setenv "CXX" "clang++")))
>> 
>> I tried building with GCC, and indeed it failed.  First because ISL
>> was
>> not enabled, so I added 'gcc-9' which has it and adjusted
>> CPLUS_INCLUDE_PATH accordingly, but still ran into problems.
>
> A few hours ago I was splitting this patch into shorter commits and the
> build began to fail. Weird, because it compiled succesfully for about 7
> times before I submitted this patch.

Oh, I thought all these changes were necessary for the upgrade.  :-)

If you have further improvements to make, don't hesitate to send them.

Thanks!